/*
** Module   : SubMenuDefinition.java
** Abstract : An abstract class. Its implementation will described concrete sub-menu definition. 
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 VIG 20141125 Created initial version.
*/
package com.goldencode.p2j.ui;


/**
 * Base class for menu definitions. One implementation for each menu.
 */
public abstract class SubMenuDefinition
{
   /**
    * Sets the menu up.
    * 
    * @param  menu
    *         instance of <code>SubMenuWidget</code>
    */
   public abstract void setup(SubMenuWidget menu);
   
   /**
    * Sets the sub-menu owner menu.
    * 
    * @param  menu
    *         instance of <code>MenuWidget</code>
    */
   public void setParent(MenuWidget menu)
   {
      // TODO implement
   }

   /**
    * Sets the sub-menu owner sub-menu.
    * 
    * @param  menu
    *         instance of <code>SubMenuWidget</code>
    */
   public void setParent(SubMenuWidget menu)
   {
      // TODO implement
   }

}
